com.jscape.inet.mft.management.descriptors

## Class DBAuthenticationServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.AuthenticationServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.DBAuthenticationServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class DBAuthenticationServiceDescriptor
      extends AuthenticationServiceDescriptor

  DB authentication service descriptor. The service described by this descriptor takes responsibility for authenticating incoming requests using specified SQL request.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `QUERY_STATEMENT`
    `static java.lang.String` | `STORED_PROCEDURE_STATEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBAuthenticationServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `DBAuthenticationServiceDescriptor(DBAuthenticationServiceDescriptor that)` Copy constructor.
    `DBAuthenticationServiceDescriptor(java.lang.String url, java.lang.String username, java.lang.String password, java.lang.String sql, java.lang.String accountTemplate, com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType, java.lang.String hasherClassName, java.lang.String statementType)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `java.lang.String` | `getAccountTemplate()` Returns the account template name.
    `java.lang.String` | `getHasherClassName()` Returns password hasher class name.
    `java.lang.String` | `getPassword()` Returns DB access password.
    `java.lang.String` | `getSql()` Returns authentication SQL script.
    `java.lang.String` | `getStatementType()` Returns statement type.
    `java.lang.String` | `getUrl()` Returns DB URL.
    `java.lang.String` | `getUsername()` Returns DB access username.
    `com.jscape.inet.mft.subsystems.authentication.UsernameConversionType` | `getUsernameConversionType()`
    `com.jscape.inet.mft.authentication.Hasher` | `hasher()`
    `void` | `setAccountTemplate(java.lang.String value)` Sets the account template name.
    `void` | `setHasherClassName(java.lang.String value)` Sets password hasher class name.
    `void` | `setPassword(java.lang.String value)` Sets DB access password.
    `void` | `setSql(java.lang.String value)` Sets authentication SQL script.
    `void` | `setStatementType(java.lang.String value)` Sets statement type.
    `void` | `setUrl(java.lang.String value)` Sets DB URL.
    `void` | `setUsername(java.lang.String value)` Sets DB access username.
    `void` | `setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### QUERY_STATEMENT

          public static final java.lang.String QUERY_STATEMENT

      See Also:
        Constant Field Values

    - #### STORED_PROCEDURE_STATEMENT

          public static final java.lang.String STORED_PROCEDURE_STATEMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DBAuthenticationServiceDescriptor

          public DBAuthenticationServiceDescriptor(java.lang.String url,
                                                   java.lang.String username,
                                                   java.lang.String password,
                                                   java.lang.String sql,
                                                   java.lang.String accountTemplate,
                                                   com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType,
                                                   java.lang.String hasherClassName,
                                                   java.lang.String statementType)

      Creates a new descriptor instance.
      Parameters:
        `url` - DB URL in JDBC format
        `username` - DB access username
        `password` - DB access password
        `sql` - an authentication SQL script
        `accountTemplate` - account template name
        `hasherClassName` - password hasher class name
        `statementType` - statement type

    - #### DBAuthenticationServiceDescriptor

          public DBAuthenticationServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

    - #### DBAuthenticationServiceDescriptor

          public DBAuthenticationServiceDescriptor(DBAuthenticationServiceDescriptor that)

      Copy constructor.
      Parameters:
        `that` - an instance to copy

  - ### Method Detail

    - #### getUrl

          public java.lang.String getUrl()

      Returns DB URL.
      Returns:
        DB URL

    - #### setUrl

          public void setUrl(java.lang.String value)

      Sets DB URL.
      Parameters:
        `value` - DB URL

    - #### getUsername

          public java.lang.String getUsername()

      Returns DB access username.
      Returns:
        DB access username

    - #### setUsername

          public void setUsername(java.lang.String value)

      Sets DB access username.
      Parameters:
        `value` - DB access username

    - #### getPassword

          public java.lang.String getPassword()

      Returns DB access password.
      Returns:
        DB access password

    - #### setPassword

          public void setPassword(java.lang.String value)

      Sets DB access password.
      Parameters:
        `value` - DB access password

    - #### getSql

          public java.lang.String getSql()

      Returns authentication SQL script.
      Returns:
        authentication SQL script

    - #### setSql

          public void setSql(java.lang.String value)

      Sets authentication SQL script.
      Parameters:
        `value` - authentication SQL script

    - #### getAccountTemplate

          public java.lang.String getAccountTemplate()

      Returns the account template name.
      Returns:
        the account template name

    - #### setAccountTemplate

          public void setAccountTemplate(java.lang.String value)

      Sets the account template name.
      Parameters:
        `value` - the account template name

    - #### getUsernameConversionType

          public com.jscape.inet.mft.subsystems.authentication.UsernameConversionType getUsernameConversionType()

    - #### setUsernameConversionType

          public void setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)

    - #### getHasherClassName

          public java.lang.String getHasherClassName()

      Returns password hasher class name.
      Returns:
        password hasher class name

    - #### setHasherClassName

          public void setHasherClassName(java.lang.String value)

      Sets password hasher class name.
      Parameters:
        `value` - password hasher class name

    - #### getStatementType

          public java.lang.String getStatementType()

      Returns statement type.
      Returns:
        statement type

    - #### setStatementType

          public void setStatementType(java.lang.String value)

      Sets statement type.
      Parameters:
        `value` - statement type

    - #### hasher

          public com.jscape.inet.mft.authentication.Hasher hasher()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved